Lavalite package that provides asdasdasd management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `asdasd/asdasdasd`.

    "asdasd/asdasdasd": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider::class,

And also add it to alias

    'Asdasdasd'  => Asdasd\Asdasdasd\Facades\Asdasdasd::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Asdasd\\Asdasdasd\\Seeders\\AsdasdasdTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/asdasdasd/{modulename}

**User**

    http://path-to-route-folder/user/asdasdasd/{modulename}

**Public**

    http://path-to-route-folder/asdasdasds


### API endpoints

**List**

    http://path-to-route-folder/api/user/asdasdasd/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/asdasdasd/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/asdasdasd/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/asdasdasd/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/asdasdasd/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/asdasdasd/{modulename}/{slug}
    METHOD: GET